2024-06-13 19:03 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003299SnowBros[All Projects] Generalpublic2019-10-20 13:44
ReporterPiterG 
Assigned ToCFOUProject InfoSnow Bros (Ocean)
http://www.whdload.de/games/SnowBros.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003299: On CPU 030 works ok, but on 040 and 060 is - Exception "Illegal instruction"
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.3 from 18.03.2013

On CPU 030 works ok, but on 040 and 060 is - Exception "Illegal instruction" ($10) at $152C occured - works only with NoMMU function.
TagsNo tags attached.
MachineUAE
CPU68060
CPUSpeed66
ChipSetAGA
GFXCardPicasso IV
ChipMem2 MB
FastMem64 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.1
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0007137

CFOU (developer)

Can you verify it's fixed crash with MMU on 040/060?

version 1.3a beta (XX.10.19) done by CFou!:
 - FluchCache added after all patch codes (0003299)
 - CUSTOM4=1 to change second button option name to JPAD
   (named MEGA in original game)
 - CUSTOM4=2 to change second button option name to 2BUT
 - CUSTOM3=2 to force second button option at launch (named MEGA in game)
 - Second joystick support fully rewritten =>bugged on V1.3 (issue  #3349)
  =>I did not understand 'MEGA' option was for Megadrive 2 buttons support!!)
 - CUSTOM3=4 for JOYSTICK second button support
   (if your joystick not supported by default)

note ~0007142

CFOU (developer)

fixed on V1.4 (test on a4000+040 but nocache needed for intro)
+Notes

-Issue History
Date Modified Username Field Change
2015-10-11 22:28 administrator New Issue
2015-10-11 22:28 administrator Status new => assigned
2015-10-11 22:28 administrator Assigned To => CFOU
2019-10-18 21:18 CFOU File Added: SnowBros.slave
2019-10-18 21:18 CFOU Note Added: 0007137
2019-10-20 13:44 CFOU Note Added: 0007142
2019-10-20 13:44 CFOU Status assigned => closed
2019-10-20 13:44 CFOU Resolution open => fixed
+Issue History